Skip to main content
Back to API List Use this API to delete voice call recordings. The response varies based on whether the execution is successful or not.
MethodDELETE
Endpointhttps://{{host}}/api/public/bot/{{botId}}/v2/recordings?sessionId={{sessionId}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeDelete Recordings

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
botIdbotId or streamId. You can get it from the App Settings page.string, required

Query Parameter

ParameterDescriptionType
sessionIdThe unique identifier for the session record. You can access it from the conversation logs.string, required

Sample Request

curl --location --request DELETE 'https://{{host}}/api/1.1/public/bot/{{botID}}/recordings?sessionId=6627b9adb9af28711b78xxxx' \
--header 'auth: <token>>'

Sample Response

{
   "message": "Call recordings deleted successfully",
   "sessionId": "66627b9adb9af28711b78xxxx"
}